Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class AudioSynthesizerPropertyInfo

    java.lang.Object
      com.sun.media.sound.AudioSynthesizerPropertyInfo

    public class AudioSynthesizerPropertyInfo

extends java.lang.Object

Information about property used in opening `AudioSynthesizer`.

Author:
  Karl Helgason

Field Summary
`java.lang.Object[]` | `choices` An array of possible values if the value for the field `AudioSynthesizerPropertyInfo.value` may be selected from a particular set of values; otherwise null.
`java.lang.String` | `description` A brief description of the property, which may be null.
`java.lang.String` | `name` The name of the property.
`java.lang.Object` | `value` The `value` field specifies the current value of the property.
`java.lang.Class` | `valueClass` The `valueClass` field specifies class used in `value` field.

Constructor Summary
`AudioSynthesizerPropertyInfo(java.lang.String name, java.lang.Object value)` Constructs a `AudioSynthesizerPropertyInfo` object with a given name and value.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The name of the property.

### description

    public java.lang.String description

  A brief description of the property, which may be null.

### value

    public java.lang.Object value

  The `value` field specifies the current value of the property.

### valueClass

    public java.lang.Class valueClass

  The `valueClass` field specifies class used in `value` field.

### choices

    public java.lang.Object[] choices

  An array of possible values if the value for the field `AudioSynthesizerPropertyInfo.value` may be selected from a particular set of values; otherwise null.

Constructor Detail

### AudioSynthesizerPropertyInfo

    public AudioSynthesizerPropertyInfo(java.lang.String name,
                                        java.lang.Object value)

  Constructs a `AudioSynthesizerPropertyInfo` object with a given name and value. The `description` and `choices` are intialized by `null` values.

  Parameters:
    `name` - the name of the property
    `value` - the current value or class used for values.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD